#import <Cocoa/Cocoa.h>
#import <Foundation/Foundation.h>
#import "ApertureExportManager.h"
#import "ApertureExportPlugIn.h"
#import "MetaDataCollector.h"
#import "StatisticsImageCreator.h"

static NSString * const kLastPathUserDefaultsKey = @"LastPath";

@interface ApertureStatisticsExportPlugIn : NSViewController <ApertureExportPlugIn>
{
    @private
    
    id <PROAPIAccessing> apiManager;
    NSObject <ApertureExportManager, PROAPIObject> *exportManager;
    // The structure used to pass all progress information back to Aperture
	ApertureExportProgress exportProgress;
    
    MetaDataCollector *mdCollector;
    
    NSLock *progressLock;
    
    NSView *firstView;
    NSView *lastView;
    
    NSString *lastPath;
}

@property (nonatomic, readwrite, retain) id <PROAPIAccessing> apiManager;
@property (nonatomic, readwrite, retain) NSObject <ApertureExportManager, PROAPIObject> *exportManager;

@property (nonatomic, readwrite, retain) MetaDataCollector *mdCollector;

@property (nonatomic, readwrite, retain) NSLock *progressLock;

@property (assign) IBOutlet NSView *firstView;
@property (assign) IBOutlet NSView *lastView;

@property (nonatomic, readwrite, copy) NSString *lastPath;

@end
