//
//  MetaDataCollector.m
//  ApertureStatisticsExportPlugIn
//
//  Created by Matthias Kleine on 21.03.13.
//
//

#import "MetaDataCollector.h"

@implementation MetaDataCollector

-(id)init
{
    self = [super init];
    if (self) {
        self.metaApertureDict = [[NSMutableDictionary alloc] init];
    }
    
    return self;
}

@synthesize metaApertureDict;

-(BOOL)addApertureWithValue:(NSNumber *)number
{
    return [self addValueToDictionary:self.metaApertureDict withValue:number];
}

-(BOOL)addValueToDictionary:(NSMutableDictionary *)dict
                  withValue:(NSNumber *)value
{
    if (dict) {
        NSNumber *existingValue = [dict objectForKey:value];
        
        if (existingValue) {
            // Key already exists - increase value
            [dict setObject:[NSNumber numberWithInteger:([[dict objectForKey:value] integerValue] + 1)] forKey:value];
        } else {
            // Key does not exists - add it
            [dict setObject:1 forKey:value];
        }
        
        return YES;
    }
    else {
        return NO;
    }
}

- (void)dealloc
{
    self.metaApertureDict = nil;
    
    [super dealloc];
}

@end
